using System;
using System.IO;
using System.Reflection;

namespace Addison_Wesley.Codebook.Filesystem
{
   public class FileUtil
   {
      /// <summary>
       /// Zjistí složku okenní aplikace
      /// </summary>
      public static string GetApplicationFolderName()
      {
         // Objetk typu FileInfopro souboe, který obsahuje vstupní sestavení
         FileInfo fi = new FileInfo(Assembly.GetEntryAssembly().Location);

         // Vrátíme cestu adresáře souboru
         return fi.DirectoryName;
      }
   }
}
